{capture name="title"}{$link_data.TITLE|escape|trim} - {l}Details{/l} -{$CAT_TREE|regex_replace:"/.$/":""}{/capture}
{capture assign="in_page_title"}{$TITLE|escape|trim} - {l}Details{/l}{/capture}
{capture assign="description"}{l}Link Details{/l}{/capture}

{include file="header.tpl"}
{include file="top_bar.tpl"}

{strip}

{if $error}
   <div class="err">
      <img src="admin/images/no_22.gif" align="baseline" alt="Error" title="Error" />
      <p>{l}Error{/l}: {$error}</p>
   </div>
{else}

{foreach from=$widgets.LINK_DETAIL.TOP item=v}
	{if $v.SETTINGS.DISPLAY_IN_BOX eq 'Yes'}
		{include file="widget_central_top.tpl"}
	{/if}
	{$v.CONTENT}
	{if $v.SETTINGS.DISPLAY_IN_BOX eq 'Yes'}
		{include file="widget_central_bot.tpl"}
	{/if}
{/foreach}

<table border="0" width="100%" class="formPage ">

   {foreach from=$submit_items item=item name=submit_items}
        {if $item.IS_DETAIL eq '1' && (!empty($link_data[$item.FIELD_NAME]) || $item.TYPE == 'BOOL')}
        {if $item.FIELD_NAME eq 'TITLE'}
<div class="smallDesc">
<h2 style="width:100%;">
               {if !empty($link_data.URL)}
                <a id="id_{$link_data.ID}" href="{$link_data.URL|escape|trim}" title="{$link_data.TITLE|escape|trim}"
             {if $link_data.NOFOLLOW or ($link_data.RECPR_VALID eq 0 and ($smarty.const.RECPR_NOFOLLOW eq 2 or ($smarty.const.RECPR_NOFOLLOW eq 1 and $link_data.RECPR_REQUIRED eq 1)))} rel="nofollow"{/if}
             {if $smarty.const.ENABLE_BLANK} target="_blank"{/if}>{/if}
             {$link_data.TITLE|escape|trim}
            {if !empty($link_data.URL)}</a>{/if}</h2>
            </div>
        {elseif $item.FIELD_NAME eq 'DESCRIPTION'}
        <tr>
	        <td class="label"><strong>{l}{$item.NAME}{/l}:</strong>&nbsp;&nbsp;</td>
	        <td class="smallDesc" align="left" id="editdescrip_{$link_data.ID}">{$link_data.DESCRIPTION|trim}</td>
        </tr>

       {elseif $item.FIELD_NAME eq 'CATEGORY_ID'}
        <tr>
          <td class="label"><strong>{if $link_data.ADD_CATEGS}{l}Categories{/l}{else}{l}Category{/l}{/if}:</strong>&nbsp;&nbsp;</td>
          <td class="smallDesc" align="left">
          <a href="{$smarty.const.DOC_ROOT}/" title="Free Web Directory">Free Web Directory</a>&nbsp;&raquo;&nbsp;

            {section name=categories loop=$CATEGORY_URL step=-1}
            {if !$smarty.section.categories.first}
            &nbsp;&raquo;&nbsp;
            {/if}
            <a href="{$CATEGORY_URL[categories]|escape|trim}" title="{$CATEGORY_TITLE[categories]|escape|trim}">{$CATEGORY_TITLE[categories]|escape|trim}</a>
            {/section}
            {**$CAT_TREE|trim**}
          </td>
        </tr>
        {elseif $item.TYPE eq 'IMAGE'}
        <tr>
          <td class="label"><strong>{l}{$item.NAME}{/l}:</strong>&nbsp;&nbsp;</td>
          <td class="smallDesc" align="left">
              <a href="{$smarty.const.SITE_URL}uploads/{$link_data[$item.FIELD_NAME]}?detail=1&TB_iframe=true&height=400&width=400" onclick="return showThickbox(this);" class="thickbox">
                <img src="{$smarty.const.SITE_URL}uploads/thumb/{$link_data[$item.FIELD_NAME]}"/>
              </a>
            </td>
        </tr>
        {elseif $item.TYPE eq 'FILE'}
        <tr>
          <td class="label"><strong>{l}{$item.NAME}{/l}:</strong>&nbsp;&nbsp;</td>
          <td class="smallDesc" align="left">
              <a href="{$smarty.const.DOC_ROOT}/uploads/{$link_data[$item.FIELD_NAME]}" target="_blank">{$link_data[$item.FIELD_NAME]}</a>
            </td>
        </tr>
       {else}
        {if $item.FIELD_NAME eq 'ADDRESS'}
        {assign var="map" value=1}
        {/if}
        <tr>
        <td class="label"><strong>{l}{$item.NAME}{/l}:</strong>&nbsp;&nbsp;</td>
        <td class="smallDesc" align="left">
        	{if $item.TYPE == 'BOOL'}
        		{if $link_data[$item.FIELD_NAME]|escape|trim == 1}{l}yes{/l}{else}{l}no{/l}{/if}
        	{else}
				{$link_data[$item.FIELD_NAME]|escape|trim}
			{/if}
        </td>
        </tr>
 	{/if}
        {/if}
{/foreach}

{if $link_data.ADD_LINKS}
<tr>
      <td class="label"><strong>{l}Deep Links{/l}:</strong>&nbsp;&nbsp;</td>
      <td class="smallDesc" align="left">
      	{foreach from=$link_data.ADD_LINKS item=add_link name=add_links}
      		<a href="{$add_link.URL}" target="_blank" title="{$add_link.TITLE}">{$add_link.TITLE}</a>{if !$smarty.foreach.add_links.last}, {/if}
      	{/foreach}      
      </td>
</tr>
{/if}

{if $smarty.const.SHOW_PAGERANK}
<tr>
      <td class="label"><strong>{l}Pagerank{/l}:</strong>&nbsp;&nbsp;</td>
      <td class="smallDesc" align="left">{if $link_data.PAGERANK ge 0}{$link_data.PAGERANK}{else}N/A{/if}</td>
</tr>
{/if}
<tr>
<td width="48%" valign="top">

            <h2 class="headings3">{l}Detailed <span>Analysis</span>{/l}</h2>

            

            <table width="100%" cellspacing="2" cellpadding="2" border="0" class="highlightbox" style="margin: 22px 0 0; width:100%;">

                <tbody>

                    <tr>

                        <td width="52%"><strong>Whois Information:</strong></td>

                        <td width="47%"><a target="_blank" rel="nofollow" href="http://whois.domaintools.com/{$link_data.URL|escape|trim}">Check Whois Information</a></td>

                    </tr>

                    <tr>

                        <td width="46%"><strong>Website Archive:</strong></td>

                        <td width="47%"><a target="_blank" rel="nofollow" href="http://web.archive.org/web/*{$link_data.URL|escape|trim}">Check Way Back Machine</a></td>

                    </tr>

                    <tr>

                        <td width="16%"><strong> Search Engine Ranking:</strong></td>

                        <td width="47%"><a target="_blank" rel="nofollow" href="http://www.google.com/search?q={$link_data.URL|escape|trim}">Google</a> | <a target="_blank" rel="nofollow" href="http://search.yahoo.com/search?p={$link_data.URL|escape|trim}">Yahoo</a> | <a target="_blank" rel="nofollow" href="http://search.live.com/results.aspx?q={$link_data.URL|escape|trim}">MSN</a> | <a rel="nofollow" href="http://www.seomoz.org/page-strength/{$link_data.URL|escape|trim}" target="_blank">Check  Page Strength</a></td>

                    </tr>

                </tbody>

            </table>

            

            <h2 class="headings3" style="margin:10px 0 8px;">{l}Alexa Detail <span>Analysis</span>{/l}</h2>

            <div class="otherDetail">

<table width="100%" cellpadding="4" cellspacing="4" border="0" style="margin:0 0 10px; width:100%;">

                	<tr>

                    	<td width="160" align="center"><img src="http://open.thumbshots.org/image.pxf?url={$link_data.URL|escape|trim}" alt="Screenshot of {$link_data.URL|escape|trim}" border="0" height="100" width="135" /></td>

                        <td width="100%" align="right"><img src="http://traffic.alexa.com/graph?w=268&amp;h=100&amp;r=6m&amp;z=&amp;y=r&amp;u={$link_data.URL|escape|trim}&amp;u=%20border=" alt="Alexa Traffic details of {$link_data.URL|escape|trim}" width="268" height="100" border="0" /></td>

                    </tr>

                </table>

	            <div class="clear"></div>        

            </div>

		</td>
	</tr>

</table>
<h2 class="headings3">{l}Ranking <span>Analysis</span>{/l}</h2>
<table width="100%" cellpadding="4" cellspacing="4" border="0" style="margin:0 0 20px;">

	<tr>

    	<td width="32%"><img height="117" width="198" class="thumb-img" alt="  " src="http://grapher.compete.com/{$link_data.URL|replace:"http://":""|replace:"/":""|lower}_uv_310.png"></td>

        <td width="1%" align="center"></td>

		<td width="33%"><img height="117" width="198" class="thumb-img" alt="  " src="http://grapher.compete.com/{$link_data.URL|replace:"http://":""|replace:"/":""|lower}_attD_07122008_08112008_310.png"></td> 

        <td width="1%" align="center"></td>

		<td width="32%"><img height="117" width="198" class="thumb-img" alt="  " src="http://grapher.compete.com/{$link_data.URL|replace:"http://":""|replace:"/":""|lower}_sess_310.png"></td>

	</tr>

</table>

</td>
</tr>
{if $smarty.const.GMAP_ENABLE && $map eq 1}
<tr><td width="25%" class="label">{l}Map{/l}:</td>
  <td class="smallDesc" align="left">
  {literal}
 <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key={/literal}{$link_data.GMAPKEY}{literal}"
type="text/javascript"></script>
<script type="text/javascript">
//<![CDATA[
function load() {
if (GBrowserIsCompatible()) {
var map = new GMap2(document.getElementById("map"));
}
geocoder = new GClientGeocoder();
var latitude = '';
var longitude = '';
if (geocoder) {
{/literal}
var address = '{$link_data.ADDRESS|replace:"'":"\\'"},{$link_data.CITY},{$link_data.STATE}';
{literal}
geocoder.getLatLng(address,
function(point) {
if (point) {
map.addControl(new GSmallMapControl());
map.addControl(new GMapTypeControl());
map.setCenter(point, 15);
map.addOverlay(new GMarker(point));
function createMarker(point) {
var marker = new GMarker(point);
GEvent.addListener(marker, "click", function() {

{/literal}
marker.openInfoWindowHtml("<b>{$link_data.TITLE} <br>{$link_data.ADDRESS}{if $link_data.CITY != ""}<br> {$link_data.CITY}{/if}{if $link_data.STATE != ""}<br> {$link_data.STATE}{/if}{if $link_data.ZIP != ""}<br> {$link_data.ZIP}{/if}{if $link_data.PHONE_NUMBER != ""}<br> {$link_data.PHONE_NUMBER}{/if}</b>"); });
{literal}

return marker;
}
map.addOverlay(createMarker(point));
}
}
);
}
}
//]]>
</script>
{/literal}
<div id="map" style="margin-left:0px; width: 400px; height: 300px;"></div><br/><br/>
</div>
</td>
</tr>
{/if}

<tr>
    <td colspan="2">
        <div style="float: right;">
        {if $rights.editLink eq 1}
        <a href="{$smarty.const.DOC_ROOT}/inplace_editlink.php?ID={$link_data.ID}&detail=1&TB_iframe=true&height=400&width=600" onclick="return showThickbox(this);" class="thickbox">
        <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/edit.gif" width="14" height="14" style="border: none;" alt="edit link"/>
        </a>
        {/if}
        {if $rights.delLink eq 1}  
        <a href="{$smarty.const.DOC_ROOT}/inplace_editlink.php?ID={$link_data.ID}&mode=del&detail=1&TB_iframe=true&height=100&width=250"  class="thickbox" onclick="{literal}question = confirm('Are you sure you want to delete this link?');if (question !='0'){return showThickbox(this);} else return false;{/literal}" >
        <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/delete.gif" width="14" height="14" style="border: none;" alt="delete link"/>
        </a>
        {/if}
        {if $STATUS<2 && $rights.editLink eq 1}
        <a href="{$smarty.const.DOC_ROOT}/inplace_editlink.php?ID={$link_data.ID}&mode=active&detail=1&TB_iframe=true&height=100&width=250"  class="thickbox"  onclick="{literal}question = confirm('Are you sure you want to make this link active?');if (question !='0'){return showThickbox(this);} else return false;{/literal}">
        <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/active.gif" width="14" height="14" style="border: none;" alt="link is inactive" class="float_tiny"/>
        {/if}
        {if $rights.editLink eq 1 || $rights.delLink eq 1}
        {if $has_payment > 0}
        <div class="float_tiny" style="color: green; font-weight: bold">$</div>
        {/if}
        {/if}
        </div>
    </td>
</tr>
{if $tell_friend_on == 1}
<tr>
    <td align="center" colspan="2">
        <a href="{$smarty.const.DOC_ROOT}/tell_friend.php?lid={$link_data.ID}">{l}Tell a friend{/l}</a>
    </td>
</tr>
{/if}
{if $uLevel eq 1}
<tr>
    <td align="center" colspan="2">
            <a style="display:block; margin-bottom:30px;" href="{$smarty.const.DOC_ROOT}/admin/dir_links_edit.php?action=E:{$link_data.ID}" target="blank" title="Edit as Admin">Edit as Admin</a>
    </td>
</tr>
{/if}


{if $ratings_on == 1}
<tr class="singlerating">
    <td colspan="2">
    <fieldset>
    <legend>{l}Ratings{/l}</legend>
    {if $logged_rating eq 1}
    {if $ratingError}<div class="errForm">{l}Please choose your rating, and after this click Rate{/l}.</div>{/if}<br />
    <label for="RATING">{l}Rate the link{/l}: &nbsp;</a><br /><br />
    <form name="rating" action="{$smarty.const.DOC_ROOT}/detail.php?action=R:{$link_data.ID}" method="post">
      <select style="width: 100px;" id="RATING" name="RATING" class="text" {$rating_disabled}>
        <option value=""></option>
        <option value="1">1</option>
        <option value="2">2</option>
        <option value="3">3</option>
        <option value="4">4</option>
        <option value="5">5</option>
        <option value="6">6</option>
        <option value="7">7</option>
        <option value="8">8</option>
        <option value="9">9</option>
        <option value="10">10</option>
      </select><br /><br />
    &nbsp;<input type="submit" value="{l}Rate{/l}" class="btn" {$rating_disabled}>
    </form><br />
    &nbsp;&nbsp;
    {else}
    <center><a href="{$smarty.const.DOC_ROOT}/login.php" class="error">{l}You must be logged in to leave a rating{/l}.</a>
    {/if}
    <b>{l}Average rating{/l}:</b>
    {if $smarty.const.LINK_RATING_DISPLAY == 'image'}
        {if $link_data.RATING >0 }
            {section name=foo loop=$link_data.RATING}
                <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/tiny_star.gif">
            {/section}
            {if intval($link_data.RATING) < $link_data.RATING}
            <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/tiny_star_half.gif">
            {/if}
        {/if}
    {elseif $smarty.const.LINK_RATING_DISPLAY == 'bar'}
        {if $link_data.RATING >0 }
            {section name=foo loop=$link_data.RATING}
            <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/bar_full.png">
            {/section}
            {if intval($link_data.RATING) < $link_data.RATING}
            <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/bar_full_half.png">
            <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/bar_empty_half.png">
        {/if}
        {section name=foo loop=$link_data.LEFT_RATING}
        <img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/bar_empty.png">
        {/section}
    {/if}
    {else}
        {$link_data.RATING}
    {/if} ({if !$link_data.VOTES}0{else}{$link_data.VOTES}{/if} {l}votes{/l})
    </fieldset>
    </td>
</tr>
{/if}
  
{if $comments_on == 1}
<tr>
   <td colspan="2">
   <table class="commentsingle" style="display:block; width:100%; margin-top:22px;">
   	<tr>
    <td colspan="2">
      <fieldset>
         <legend>{l}Reviews{/l}</legend>
         {* Printing Comments *}
         {foreach from=$comments item=comment name=items}
            <table class="comment" cellspacing="0" cellpadding="0" width="100%">
               <tr class="commentin">
                  <td>{$comment.USER_NAME}:</td>
                  <td align="right" class="cotop">{$comment.DATE_ADDED}</td>
               </tr>
               <tr height="50" valign="top">
                  <td class="descr" colspan="2">{$comment.COMMENT|nl2br}</td>
               </tr>
            </table>
         {foreachelse}
            <h3 style="margin-top:10px;">{l}No Reviews Yet{/l}.</h3>
         {/foreach}
         {if $comm_posted eq 1 && $needs_approval_msg eq 1 }
	 <p style="color: green">{l}Comment posted and awaiting admin approval{/l}.</p>
         {elseif $comm_posted eq 1}
	 <p style="color: green">{l}Comment posted{/l}.</p>
         {/if}
         {if $logged_comment eq 1}
            <br>
            <form id="commentForm" action="{$smarty.const.DOC_ROOT}/detail.php?action=C:{$link_data.ID}" method="post">
            <table width="100%" cellspacing="0" cellpadding="0">
            <tr>
                <td colspan="2">
                    <label for="comment"><b>{l}Leave your comment{/l}:</b><br /><br />
                    <textarea id="comment" name="comment" rows="4" cols="60" class="text">{$COMMENT}</textarea><br /><br />
                    {if $commentError}<div class="errForm">{l}You need to enter comment before Submit{/l}.</div>{/if}

                </td>
            </tr>
            <tr>
                <td colspan="2">
                {if $smarty.const.VISUAL_CONFIRM_LINK_COMMENTS}
                   {if $rights.editLink neq 1 && $rights.addLink neq 1 && $rights.delLink neq 1}
                   {if $img_verification_error}
                      <span class="error"><font color=red>{l}Verification error, please enter the code again{/l}</font></span><br>
                   {/if}
                   <input id="IMAGEHASH" name="IMAGEHASH" type="hidden" value="{$imagehash}" />
                   <img src="{$smarty.const.DOC_ROOT}/captcha.php?imagehash={$imagehash}" class="captcha" alt="{l}Visual Confirmation Security Code{/l}" title="{l}Visual Confirmation Security Code{/l}" />
                   <br><br><span class='req'>*</span>{l}Enter the code shown{/l}:
                   &nbsp;<input id="CAPTCHA" name="CAPTCHA" type="text" value="" size="{$smarty.const.CAPTCHA_PHRASE_LENGTH}" maxlength="{$smarty.const.CAPTCHA_PHRASE_LENGTH}" class="text" /><br><br>
                   {/if}
                {/if}
                <input type="hidden" name="formSubmitted" value="1" />
                <input type="submit" value="{l}Submit{/l}" class="btn">
                </td>
            </tr>
            </table>
            </form>
         {else}
             <br><a href="{$smarty.const.DOC_ROOT}/login.php" class="error">{l}You must be logged in to leave a Comment{/l}.</a><br>
         {/if}
      </fieldset>
   </td>
   </table>
   	</tr>
    </td>
</tr>
{/if}
   <tr>
      <td colspan="2">&nbsp;</td>
   </tr>
</table>

{* Javascript for tracking link clicks *}
<script type="text/javascript">
/* <![CDATA[ */
   var root = '{$smarty.const.DOC_ROOT}';
   {literal}
   var a = document.getElementsByTagName("a");
   for(i = 0; i< a.length; i++)
      if(a[i].id != '')
         a[i].onclick = count_link;
   function count_link() {
      i = new Image();
      i.src= root+'/cl.php?id='+this.id;
      return true;
   }
   
   {/literal}
/* ]]> */
</script>
{foreach from=$widgets.LINK_DETAIL.BOT item=v}
	{if $v.SETTINGS.DISPLAY_IN_BOX eq 'Yes'}
	{include file="widget_central_top.tpl"}
	{/if}
	{$v.CONTENT}
	{if $v.SETTINGS.DISPLAY_IN_BOX eq 'Yes'}
	{include file="widget_central_bot.tpl"}
	{/if}
{/foreach}
{/if}
{/strip}
{include file="footer.tpl"}