{capture name="title"} - {l}User Login{/l}{/capture}
{capture assign="in_page_title"}{l}User Login{/l}{/capture}
{capture assign="description"}{l}Login to your account and add new or review your old links.{/l}{/capture}

{include file="header.tpl"}
{include file="top_bar.tpl"}

{include file="validation.tpl" form_id="submit_form" validators=$validators}

{strip}

<h3>{l}Please enter your username and password to log in.{/l}</h3>
<form method="post" action="" id="submit_form">
      <table border="0" class="loginPage" width="100%">
      <tr>
         {if $failed}
            <td colspan="2" class="err">{l}Invalid username or password.{/l}</td>
         {/if}
         {if $no_permission}
            <td colspan="2" class="err">{l}No permissions set for this user.{/l}</td>
         {/if}
      </tr>
      <tr>
         <td width="40%">{l}User{/l}</td>
         <td width="70%">
            <input type="text" name="user" value="{$user}" size="10" maxlength="{$smarty.const.USER_LOGIN_MAX_LENGTH}" class="text" />
         </td>
      </tr>
      <tr>
         <td width="40%">{l}Password{/l}</td>
         <td width="70%">
            <input type="password" name="pass" value="" size="10" maxlength="{$smarty.const.USER_PASSWORD_MAX_LENGTH}" class="text" />
         </td>
      </tr>
      <tr>
         <td colspan="2">
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a style="width:200px;" href="{$smarty.const.DOC_ROOT}/profile.php?mode=sendpassword" title="{l}Recover your password{/l}">{l}I forgot my password{/l}</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="{$smarty.const.DOC_ROOT}/profile.php?mode=register" title="{l}Register{/l}">{l}Register{/l}</a>
         </td>
      </tr>
      <tr>
         <td>&nbsp;</td>
         <td><input type="submit" name="login" value="Login" class="btn" /></td>
      </tr>
      </table>
      <input type="hidden" name="formSubmitted" value="1" />
</form>

{include file="footer.tpl"}
{/strip}